Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

fix(deps): update all non-major dependencies #10160

Merged
merged 1 commit into from Sep 23, 2022
Merged

Conversation

renovate[bot]
Copy link
Contributor

@renovate renovate bot commented Sep 19, 2022

Mend Renovate

This PR contains the following updates:

Package Change Age Adoption Passing Confidence
@babel/core (source) ^7.19.0 -> ^7.19.1 age adoption passing confidence
@babel/parser (source) ^7.19.0 -> ^7.19.1 age adoption passing confidence
@babel/plugin-transform-typescript (source) ^7.19.0 -> ^7.19.1 age adoption passing confidence
@babel/standalone (source) ^7.19.0 -> ^7.19.2 age adoption passing confidence
@microsoft/api-extractor (source) ^7.30.0 -> ^7.31.2 age adoption passing confidence
@rollup/plugin-node-resolve (source) 14.0.1 -> 14.1.0 age adoption passing confidence
@sveltejs/vite-plugin-svelte ^1.0.5 -> ^1.0.8 age adoption passing confidence
@types/react (source) ^18.0.19 -> ^18.0.21 age adoption passing confidence
@typescript-eslint/eslint-plugin ^5.36.2 -> ^5.38.0 age adoption passing confidence
@typescript-eslint/parser ^5.36.2 -> ^5.38.0 age adoption passing confidence
autoprefixer ^10.4.9 -> ^10.4.12 age adoption passing confidence
core-js ^3.25.1 -> ^3.25.2 age adoption passing confidence
magic-string ^0.26.3 -> ^0.26.4 age adoption passing confidence
mlly ^0.5.14 -> ^0.5.16 age adoption passing confidence
phoenix ^1.6.11 -> ^1.6.12 age adoption passing confidence
playwright-chromium (source) ^1.25.2 -> ^1.26.0 age adoption passing confidence
pnpm (source) 7.11.0 -> 7.12.2 age adoption passing confidence
pnpm (source) ^7.11.0 -> ^7.12.2 age adoption passing confidence
react-router-dom ^6.3.0 -> ^6.4.1 age adoption passing confidence
sass ^1.54.9 -> ^1.55.0 age adoption passing confidence
strip-literal ^0.4.0 -> ^0.4.2 age adoption passing confidence
unbuild ^0.8.10 -> ^0.8.11 age adoption passing confidence
vite (source) ^3.1.0 -> ^3.1.3 age adoption passing confidence
vitepress (source) ^1.0.0-alpha.13 -> ^1.0.0-alpha.15 age adoption passing confidence
vitest ^0.23.2 -> ^0.23.4 age adoption passing confidence
ws ^8.8.1 -> ^8.9.0 age adoption passing confidence

Release Notes

babel/babel (@​babel/core)

v7.19.1

Compare Source

🐛 Bug Fix
babel/babel (@​babel/parser)

v7.19.1

Compare Source

v7.19.1 (2022-09-14)

Thanks @​hegemonic for your first PR!

🐛 Bug Fix
Committers: 5
rollup/plugins

v14.1.0

Compare Source

2022-09-12

Features
  • feat: add new option, modulePaths (#​1104)
sveltejs/vite-plugin-svelte

v1.0.8

Compare Source

Patch Changes
  • svelte-inspector: select hovered element instead of parent on mousemouse (#​449)

  • svelte-inspector: ignore navigation keys while not enabled (#​449)

v1.0.7

Compare Source

Patch Changes
  • svelte-inspector: prevent info-bubble select (#​445)

v1.0.6

Compare Source

Patch Changes
  • update svelte-hmr and enable partial hmr accept by default (fixes #​134) (#​440)

  • svelte-inspector: add keyboard navigation, select element on activation, improve a11y and info bubble position/content (#​438)

typescript-eslint/typescript-eslint (@​typescript-eslint/eslint-plugin)

v5.38.0

Compare Source

Note: Version bump only for package @​typescript-eslint/eslint-plugin

v5.37.0

Compare Source

Bug Fixes
  • eslint-plugin: [strict-boolean-expressions] check all conditions in a logical operator chain (#​5539) (77d76e2)

5.36.2 (2022-09-05)

Bug Fixes
  • eslint-plugin: [no-extra-parens] handle generic ts array type. (#​5550) (0d6a190)
  • scope-manager: correct handling for class static blocks (#​5580) (35bb8dd)

5.36.1 (2022-08-30)

Note: Version bump only for package @​typescript-eslint/eslint-plugin

typescript-eslint/typescript-eslint (@​typescript-eslint/parser)

v5.38.0

Compare Source

Note: Version bump only for package @​typescript-eslint/parser

v5.37.0

Compare Source

Note: Version bump only for package @​typescript-eslint/parser

5.36.2 (2022-09-05)

Note: Version bump only for package @​typescript-eslint/parser

5.36.1 (2022-08-30)

Note: Version bump only for package @​typescript-eslint/parser

postcss/autoprefixer

v10.4.12

Compare Source

  • Fixed support of unit-less zero angle in backgrounds (by 一丝).

v10.4.11

Compare Source

  • Fixed text-decoration prefixes by moving to MDN data (by Romain Menke).

v10.4.10

Compare Source

  • Fixed unicode-bidi prefixes by moving to MDN data.
zloirock/core-js

v3.25.2

Compare Source

  • Considering document.all as a callable in some missed cases
  • Added Safari 16.0 compat data
  • Added iOS Safari 16.0 compat data mapping
  • Fixed some ancient iOS Safari versions compat data mapping
rich-harris/magic-string

v0.26.4

Compare Source

Features
  • fix .replace() when searching string, add .replaceAll() (#​222) (04a05bd)
Performance Improvements
  • avoiding use of Object.defineProperty in Chunk constructor (#​219) (130794b)
unjs/mlly

v0.5.16

Compare Source

v0.5.15

Compare Source

phoenixframework/phoenix

v1.6.12

Compare Source

Microsoft/playwright

v1.26.0

Compare Source

Assertions

Other Highlights

  • New option maxRedirects for apiRequestContext.get(url[, options]) and others to limit redirect count.
  • New command-line flag --pass-with-no-tests that allows the test suite to pass when no files are found.
  • New command-line flag --ignore-snapshots to skip snapshot expectations, such as expect(value).toMatchSnapshot() and expect(page).toHaveScreenshot().

Behavior Change

A bunch of Playwright APIs already support the waitUntil: 'domcontentloaded' option. For example:

await page.goto('https://playwright.dev', {
  waitUntil: 'domcontentloaded',
});

Prior to 1.26, this would wait for all iframes to fire the DOMContentLoaded event.

To align with web specification, the 'domcontentloaded' value only waits for the target frame to fire the 'DOMContentLoaded' event. Use waitUntil: 'load' to wait for all iframes.

Browser Versions

  • Chromium 106.0.5249.30
  • Mozilla Firefox 104.0
  • WebKit 16.0

This version was also tested against the following stable channels:

  • Google Chrome 105
  • Microsoft Edge 105
pnpm/pnpm

v7.12.2

Compare Source

Patch Changes

  • Don't crash when auto-install-peers is true and the project has many complex circular dependencies #​5394.
  • pnpm link --global should work with the --dir=<path> option #​5371.

Our Gold Sponsors

Our Silver Sponsors

What's Changed

New Contributors

Full Changelog: pnpm/pnpm@v7.12.1...v7.12.2

v7.12.1

Compare Source

Patch Changes

  • Deduplicate peer dependencies when automatically installing them #​5373.

Our Gold Sponsors

Our Silver Sponsors

What's Changed

Full Changelog: pnpm/pnpm@v7.12.0...v7.12.1

v7.12.0

Compare Source

Minor Changes

  • A new setting supported in the pnpm section of the package.json file: allowNonAppliedPatches. When it is set to true, non-applied patches will not cause an error, just a warning will be printed. For example:

    {
      "name": "foo",
      "version": "1.0.0",
      "pnpm": {
        "patchedDependencies": {
          "express@4.18.1": "patches/express@4.18.1.patch"
        },
        "allowNonAppliedPatches": true
      }
    }
  • Now it is possible to exclude packages from hoisting by prepending a ! to the pattern. This works with both the hoist-pattern and public-hoist-pattern settings. For instance:

    public-hoist-pattern[]='*types*'
    public-hoist-pattern[]='!@&#8203;types/react'
    
    hoist-pattern[]='*eslint*'
    hoist-pattern[]='!*eslint-plugin*'
    

    Ref #​5272

Patch Changes

  • When the same dependency with missing peers is used in multiple workspace projects, install the missing peers in each workspace project #​4820.
  • pnpm patch should work on files that don't have an end of line #​5320.
  • Fix pnpm patch using a custom --edit-dir.

Our Gold Sponsors

Our Silver Sponsors

What's Changed

New Contributors

Full Changelog: pnpm/pnpm@v7.11.0...v7.12.0

remix-run/react-router

v6.4.1

Compare Source

Patch Changes
  • Updated dependencies:
    • react-router@6.4.1
    • @remix-run/router@1.0.1

v6.4.0

Compare Source

Whoa this is a big one! 6.4.0 brings all the data loading and mutation APIs over from Remix. Here's a quick high level overview, but it's recommended you go check out the docs, especially the feature overview and the tutorial.

New APIs

  • Create your router with createMemoryRouter/createBrowserRouter/createHashRouter
  • Render your router with <RouterProvider>
  • Load data with a Route loader and mutate with a Route action
  • Handle errors with Route errorElement
  • Submit data with the new <Form> component
  • Perform in-page data loads and mutations with useFetcher()
  • Defer non-critical data with defer and Await
  • Manage scroll position with <ScrollRestoration>

New Features

  • Perform path-relative navigations with <Link relative="path"> (#​9160)

Bug Fixes

  • Path resolution is now trailing slash agnostic (#​8861)
  • useLocation returns the scoped location inside a <Routes location> component (#​9094)
  • respect the <Link replace> prop if it is defined (#​8779)

Updated Dependencies

  • react-router@6.4.0
sass/dart-sass

v1.55.0

Compare Source

  • Potentially breaking bug fix: Sass numbers are now universally stored as
    64-bit floating-point numbers, rather than sometimes being stored as integers.
    This will generally make arithmetic with very large numbers more reliable and
    more consistent across platforms, but it does mean that numbers between nine
    quadrillion and nine quintillion will no longer be represented with full
    accuracy when compiling Sass on the Dart VM.

  • Potentially breaking bug fix: Sass equality is now properly transitive.
    Two numbers are now considered equal (after doing unit conversions) if they
    round to the same 1e-11th. Previously, numbers were considered equal if they
    were within 1e-11 of one another, which led to some circumstances where $a == $b and $b == $c but $a != $b.

  • Potentially breaking bug fix: Various functions in sass:math no longer
    treat floating-point numbers that are very close (but not identical) to
    integers as integers. Instead, these functions now follow the floating-point
    specification exactly. For example, math.pow(0.000000000001, -1) now returns
    1000000000000 instead of Infinity.

  • Emit a deprecation warning for $a -$b and $a +$b, since these look like
    they could be unary operations but they're actually parsed as binary
    operations. Either explicitly write $a - $b or $a (-$b). See
    https://sass-lang.com/d/strict-unary for more details.

Dart API
  • Add an optional argumentName parameter to SassScriptException() to make it
    easier to throw exceptions associated with particular argument names.

  • Most APIs that previously returned num now return double. All APIs
    continue to accept num, although in Dart 2.0.0 these APIs will be changed
    to accept only double.

JS API
  • Fix a bug in which certain warning spans would not have their properties
    accessible by the JS API.
antfu/strip-literal

v0.4.2

Compare Source

   🐞 Bug Fixes
    View changes on GitHub

v0.4.1

Compare Source

   🚀 Features
    View changes on GitHub
unjs/unbuild

v0.8.11

Compare Source

vitejs/vite

v3.1.3

Compare Source

v3.1.2

Compare Source

v3.1.1

Compare Source

vuejs/vitepress

v1.0.0-alpha.15

Compare Source

Bug Fixes

v1.0.0-alpha.14

Compare Source

Bug Fixes
Features

Configuration

📅 Schedule: Branch creation - "before 3am on Monday" (UTC), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

👻 Immortal: This PR will be recreated if closed unmerged. Get config help if that's undesired.


  • If you want to rebase/retry this PR, click this checkbox.

This PR has been generated by Mend Renovate. View repository job log here.

@renovate renovate bot added the dependencies Pull requests that update a dependency file label Sep 19, 2022
@sapphi-red
Copy link
Member

I guess the test is failing because of remix-run/react-router#9298.

@renovate renovate bot force-pushed the renovate/all-minor-patch branch 12 times, most recently from 07b100c to 0dbde1b Compare Sep 22, 2022
@renovate renovate bot force-pushed the renovate/all-minor-patch branch from 0dbde1b to 3019363 Compare Sep 23, 2022
Copy link
Member

@sapphi-red sapphi-red left a comment

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

I wondered if this magic-string's fix (Rich-Harris/magic-string#222) would affect us, but I confimed that we're not using MagicString::replace. Also there's a perf improvement Rich-Harris/magic-string#219.

@patak-dev patak-dev merged commit 6233c83 into main Sep 23, 2022
14 checks passed
@patak-dev patak-dev deleted the renovate/all-minor-patch branch Sep 23, 2022
@bluwy bluwy mentioned this pull request Sep 23, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
dependencies Pull requests that update a dependency file
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants